<template>
  <div>
      
  </div>
</template>

<script>
import axios from 'axios';

export default {
    data() {

    },
    methods: {
                async fetchProducts() {
            const token = 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJfaWQiOiI2NjU1OTQxZGQzYjNlZGU5ZDk4OTFiNGUiLCJ1c2VybmFtZSI6IkthcmVuIiwicm9sZSI6WyJ1c2VyIl0sInN0YXR1cyI6IkFQUFJPVkUiLCJpYXQiOjE3MTcwNTAyOTQsImV4cCI6MTcxNzEzNjY5NH0.PoV32Ld_z3v7lCEukd0cINgsq0mZCKKzovzy0iJOr-k'
            const config = {
                headers: {
                    Authorization: `Bearer ${token}`
                },
            };
            const response = await axios.get('http://192.168.75.212:3000/products', config);
            this.products = response.data.data.map(product => ({
                ...product,
                quantity: 1
            }));
        },    
    }
}
</script>

<style>

</style>